package com.gamedog.vididin.main

import android.app.Activity
import android.content.Context
import com.ama.core.architecture.util.setOnClickBatch
import com.ama.core.architecture.widget.BindingDialog
import com.gamedog.vididin.databinding.DialogBeginnerGiftBinding
import com.gamedog.vididin.router.Router


class BeginnerGiftDialog(activity: Activity) : BindingDialog<DialogBeginnerGiftBinding>(activity, DialogBeginnerGiftBinding::inflate) {

    init {
        build()
    }


    private fun build() {
        with()
        setCenter()
        setMaskValue(0.93f)
        setCanCancel(false)

        mBinding.run {
            setOnClickBatch(tvAction) {
                when (this) {
                    tvAction ->  {
                        gotoWatchVideo()
                        dismiss()
                    }
                }
            }
        }
    }

    private fun gotoWatchVideo() {
        Router.Withdraw.startActivity(mActivity)
    }



}

